package de.lazyzero.kkMulticopterFlashTool.gui.widgets;

import java.awt.Color;

import javax.swing.JLabel;

public class ToggledLable extends JLabel {

	private static final long serialVersionUID = 1L;

	public ToggledLable(String s, boolean isEnabled, Color fg, Color bg) {
		super(s);
		this.setForeground(isEnabled?fg:Color.red.brighter());
		this.setOpaque(true);
		this.setBackground(bg);
	}
	
}
